#! /usr/bin/python3

# This script lights the power LED
# It should be started by cron at reboot
# The power led will dim when the pi is shutdown

try:
    import RPi.GPIO as GPIO
except ImportError:
    print("*** Error: Importing RPi.GPIO!", file=sys.stderr)
    sys.exit(1)

# Disable warnings of other processes possibly using the GPIO
GPIO.setwarnings(False)

# Select I/O pin naming convention
# GPIO.setmode(GPIO.BOARD)
GPIO.setmode(GPIO.BCM)

# Switch power LED on
GPIO.setup(21, GPIO.OUT, initial=GPIO.HIGH)

